/*
 * CRC16.h
 *
 *  Created on: 2019. 7. 3.
 *      Author: parkyj
 */

#ifndef CRC16_H_
#define CRC16_H_

#include "main.h"

typedef enum{
    CHECKSUM_ERROR = 0,
    NO_ERROR
}etError;


uint16_t CRC16_Generate(uint8_t *buf_ptr, int32_t len);
etError CRC16_Check(uint8_t *buf_ptr, int32_t len,uint16_t checksum);
uint8_t STH30_CreateCrc(uint8_t *data, uint8_t nbrOfBytes);
uint8_t STH30_CreateCrc(uint8_t *data, uint8_t nbrOfBytes);
#endif /* CRC16_H_ */
